# Directory containing class headers.
SET(VTK_TEXT_ANALYSIS_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/vtk")

# Classes in vtkTextAnalysis.
SET(VTK_TEXT_ANALYSIS_CLASSES
  "vtkAssignMimeType"
  "vtkConcatenateArray"
  "vtkDocumentReader"
  "vtkEntropyMatrixWeighting"
  "vtkExtractSelectedSlices"
  "vtkFeatureDictionary"
  "vtkFileExtensionMimeTypeStrategy"
  "vtkFoldCase"
  "vtkForceMimeTypeStrategy"
  "vtkMimeTypeStrategy"
  "vtkMimeTypes"
  "vtkNGramExtraction"
  "vtkPlainTextExtractionStrategy"
  "vtkPointwiseMutualInformation"
  "vtkPowerWeighting"
  "vtkScaleDimension"
  "vtkSelectArraySlices"
  "vtkTextAnalysisUtility"
  "vtkTextExtraction"
  "vtkTextExtractionStrategy"
  "vtkTokenLengthFilter"
  "vtkTokenValueFilter"
  "vtkTokenizer"
  "vtkUnityMatrixWeighting"
  "vtkQtXMLProcessor")

# Abstract classes in vtkTextAnalysis.
SET(VTK_TEXT_ANALYSIS_CLASSES_ABSTRACT
  "vtkMimeTypeStrategy"
  "vtkTextExtractionStrategy")

# Wrap-exclude classes in vtkTextAnalysis.
SET(VTK_TEXT_ANALYSIS_CLASSES_WRAP_EXCLUDE
  "vtkTextAnalysisUtility")

# Set convenient variables to test each class.
FOREACH(class ${VTK_TEXT_ANALYSIS_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_TEXT_ANALYSIS_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_TEXT_ANALYSIS_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
